define({"0":{i:0.001251259382428,u:"../Content/Actions/_ACI_Actions.htm",a:"Actions This section describes the actions that you can use with HPE Knowledge Graph.",t:"Actions"},"1":{i:0.001251259382428,u:"../Content/Actions/_ACI_Actions_Intro.htm",a:"Actions allow you to query an ACI server  and instruct it to perform a variety of operations. While most actions can be sent by  QueryClients , some are available only to  AdminClients . All actions must be sent to the server\u0027s  Port . The general syntax of these actions is: ...",t:"Introduction to Actions"},"2":{i:0.001251259382428,u:"../Content/Actions/Admin/Actions_Admin.htm",a:"ExportGraph Exports the graph to disk in a readable format.  GetGraphMemory Retrieves general information about your graph, including its size, memory and details of the nodes, edges, and associated attributes.  IndexDocs Indexes JSON documents into HPE Knowledge Graph and creates the graph, ...",t:"Administrative Actions"},"3":{i:0.0166442273267203,u:"../Content/Actions/Admin/ExportGraph.htm",a:"Exports the graph to disk in a readable format.  Example http://12.3.4.56:9000/action=ExportGraph\u0026FilenamePrefix=emailgraph This action exports the graph from HPE Knowledge Graph to text files named emailgraph_edges.txt and emailgraph_nodes.txt. Parameters Parameter Description Required Edges ...",t:"ExportGraph"},"4":{i:0.017544969482,u:"../Content/Actions/Admin/GetGraphMemory.htm",a:"Retrieves general information about your graph, including its size, memory and details of the nodes, edges, and associated attributes.  HPE Knowledge Graph sorts the nodes and edges in descending order of memory usage, and then by the number of attributes. Example ...",t:"GetGraphMemory"},"5":{i:0.0181519793601494,u:"../Content/Actions/Admin/IndexDocs.htm",a:"Indexes JSON documents into HPE Knowledge Graph and creates the graph, according to your configuration. This action requires a POST request method. Example http://12.3.4.56:9000/action=IndexDocs\u0026Data=Data=[{\u0027title\u0027: \u0027document 1\u0027, \u0027myfield\u0027: \u0027value1\u0027}, {\u0027title\u0027: \u0027document 2\u0027, \u0027myfield\u0027: \u0027value 2\u0027}] ...",t:"IndexDocs"},"6":{i:0.00635813342565713,u:"../Content/Actions/Admin/Persist.htm",a:"Saves documents in the index to disk, so that they are still available after you restart the server. Use this action to save your graph if you have indexed documents by using the  IndexDocs  action and the  Persist  action parameter set to  false.  Example http://12.3.4.56:9000/action=Persist This ...",t:"Persist"},"7":{i:0.00479105816688958,u:"../Content/Actions/Admin/RegenerateWeights.htm",a:"Updates the weight attribute for all edges in the index, recalculating the internally generated weight and saving the new value.  You can use this parameter to update weights if you change the  Weighting  configuration parameter value after you have indexed documents. You can also use it if you have ...",t:"RegenerateWeights"},"8":{i:0.00898038291275644,u:"../Content/Actions/Admin/Validate.htm",a:"Validates the database storage structures and confirms that the current database has not become inconsistent. Example http://12.3.4.56:9000/action=Validate\u0026Mode=Quick This action performs validation on the HPE Knowledge Graph. It runs a quick validation, which stops as soon as it finds an invalid ...",t:"Validate"},"9":{i:0.001251259382428,u:"../Content/Actions/General/Actions_General.htm",a:"General Actions MemoryReport Displays memory usage.",t:"General Actions"},"10":{i:0.0121736514185747,u:"../Content/Actions/General/MemoryReport.htm",a:"Details  memory usage. This is an administrative action that can be sent only from  AdminClients  (which are set in the [Server] section of the configuration file). Example http://12.3.4.56:9000/action=MemoryReport This action uses port 9000 to request memory usage details from a component, which is ...",t:"MemoryReport"},"11":{i:0.001251259382428,u:"../Content/Actions/GraphQuery/Actions_GraphQuery.htm",a:"GetCommonNeighbors Lists the neighbors of one or more nodes, and a count to indicate how many of the query nodes they are neighbors with. GetNeighbors Lists the neighbors of one or more nodes. GetNeighborhood Lists the closest nodes to a specified set of input nodes, and all edges between the set of ...",t:"Graph Query Actions"},"12":{i:0.0202632649666477,u:"../Content/Actions/GraphQuery/GetCommonNeighbors.htm",a:"Finds the common neighbors of the nodes that you specify.  The action returns all the neighbors of the nodes you specify, together with a commonality value that indicates how many of your input nodes the neighbor shares. For example, a commonality value of three shows that the listed node is a ...",t:"GetCommonNeighbors"},"13":{i:0.018848695823968,u:"../Content/Actions/GraphQuery/GetNeighborhood.htm",a:"Returns the closest nodes to a specified set of input nodes, and all edges between the set of nodes. This action allows you to create a subgraph around a set of input nodes, and all nodes within a specified distance of those input nodes. This action can help you to get a picture of what the graph is ...",t:"GetNeighborhood"},"14":{i:0.0202632649666477,u:"../Content/Actions/GraphQuery/GetNeighbors.htm",a:"List the neighbors of one or more specified nodes. Example http://12.3.4.56:9000/action=GetNeighbors\u0026TargetNames=grace%40example.com;jason%40example.com\u0026MaxResults=12 This action returns up to 12 in-neighbors for each of the target nodes grace@example.com and jason@example.com. In-neighbors are ...",t:"GetNeighbors"},"15":{i:0.0125994205526838,u:"../Content/Actions/GraphQuery/GetNodes.htm",a:"Lists the nodes in your graph, including the node ID. By default, HPE Knowledge Graph sorts the results by their in-degree (that is, the number of edges that point to the specified node).  Example http://12.3.4.56:9000/action=GetNodes\u0026Sort=None This action returns an unsorted list of nodes for the ...",t:"GetNodes"},"16":{i:0.0186473379178524,u:"../Content/Actions/GraphQuery/GetShortestPath.htm",a:"Finds the shortest path in the graph between two specified nodes. Example http://12.3.4.56:9000/action=GetShortestPath\u0026SourceName=alice%40example.com\u0026TargetName=bob%40example.com This action finds the shortest path through your graph between alice@example.com and bob@example.com.  Parameters ...",t:"GetShortestPath"},"17":{i:0.022254325291528,u:"../Content/Actions/GraphQuery/GetShortestPaths.htm",a:"Returns the specified number of shortest paths to or from the specified input node. For example, you can use this action to find all target nodes within a specified distance of the input node, and the fastest path to get to them. You must provide the name or ID of one node, which can be a source ...",t:"GetShortestPaths"},"18":{i:0.0125994205526838,u:"../Content/Actions/GraphQuery/GetSubGraph.htm",a:"Returns a subgraph based on a set of nodes that you provide, including all the edges that occur between these nodes in the main graph. Example http://12.3.4.56:9000/action=GetSubgraph\u0026NodeIDS=123,234,345 This action creates a subgraph for the nodes with IDs 123, 234, and 345, including any edges ...",t:"GetSubgraph"},"19":{i:0.0164313427596658,u:"../Content/Actions/GraphQuery/SuggestLinks.htm",a:"Suggests nodes that a specified node is close to in the graph, but that it does not currently connect to.  For example, if your graph maps e-mail correspondents, you can use this action to find contacts that a user has not previously e-mailed, but who shares a lot of common contacts with the ...",t:"SuggestLinks"},"20":{i:0.00136943387967787,u:"../Content/Actions/GraphQuery/SummarizeGraph.htm",a:"SummarizeGraph Returns a summary of the number of nodes and edges in your graph, and details of the attributes stored for your edges. Example http://12.3.4.56:9000/action=SummarizeGraph This action returns a summary of the graph.",t:"SummarizeGraph"},"21":{i:0.001251259382428,u:"../Content/Actions/Status/Actions_Status.htm",a:"Status Actions GetStatus Displays the ACI server\u0027s current status.",t:"Status Actions"},"22":{i:0.0023148298576768,u:"../Content/Actions/Status/GetStatus.htm",a:"Returns the following details about the  HPE Knowledge Graph setup (provided they have been configured): product name version number build number used ports installation location used threads This is an administrative action that can be sent only from  AdminClients  (which are set in the [Server] ...",t:"GetStatus"},"23":{i:0.001251259382428,u:"../Content/Configuration/_ACI_Config.htm",a:"Configuration Parameters This section describes the configuration parameters that you can use to configure HPE Knowledge Graph.",t:"Configuration Parameters"},"24":{i:0.001251259382428,u:"../Content/Configuration/_ACI_Config_Intro.htm",a:"Configuration parameters are set in the  configuration file. When setting configuration parameter values, you must use UTF-8. This section describes how to enter parameter values in the configuration file. Enter Boolean Values The following settings for Boolean parameters are interchangeable: TRUE = ...",t:"Introduction to Configuration"},"25":{i:0.001251259382428,u:"../Content/Configuration/Edges/Config_Edges.htm",a:"The [Edges] configuration section defines the kinds of edges that you want to add to your graph, that is, the connections that you want to make. You can also configure how to calculate weighting for the edges in the graph. [Edges]\nWeighting=field\nWeightFields=WEIGHT\n0=emailed\n1=corecipient",t:"Edges Configuration Parameters"},"26":{i:0.001251259382428,u:"../Content/Configuration/Edges/N.htm",a:"The names of the edge type configuration sections. For the name of this configuration, replace  N with the zero-based rank number of the specified edge type. For the parameter value, type the name of the edge type configuration section. You must number the edge type configuration parameters in ...",t:"N"},"27":{i:0.00685991042378971,u:"../Content/Configuration/Edges/Weighting.htm",a:"The weighting type to use for the graph. This weighting type applies to all edge types in the graph. You can use the following values: None. HPE Knowledge Graph does not assign any weights to edges. Field. Use the value of a document field as the weight for all edges generated from the document. You ...",t:"Weighting"},"28":{i:0.00241744640508046,u:"../Content/Configuration/Edges/WeightFields.htm",a:"The name of the document field that contains the values that you want to use as the weight. When your input data is in JSON format, use the JSON field name in WeightFields. When your input data comes from IDX format (for example, through CFS or a conversion script), use the following conventions for ...",t:"WeightFields"},"29":{i:0.00348101688032927,u:"../Content/Configuration/Edges/Config_EdgeTypes.htm",a:"The [MyEdgeType] configuration sections define the details for the edges that you want to configure. Define a configuration section for each of the types that you listed in the [Edges] configuration section. The configuration section must have the name that you listed. HPE Knowledge Graph uses this ...",t:"Edge Types Configuration Parameters"},"30":{i:0.0149168445044943,u:"../Content/Configuration/Edges/Nodes.htm",a:"The list of field names that you want to use to create nodes. Separate multiple field names with commas. There must be no space before or after a comma. For each value that occurs in a field with this name in a document that also contains another value in a field with the same name, HPE Knowledge ...",t:"Nodes"},"31":{i:0.0149168445044943,u:"../Content/Configuration/Edges/Source.htm",a:"The list of field names that you want to use to create source nodes. Separate multiple field names with commas. There must be no space before or after a comma. For each value that occurs in a field with this name in a document that also contains a  Target  node, HPE Knowledge Graph creates a source ...",t:"Source"},"32":{i:0.0149168445044943,u:"../Content/Configuration/Edges/Target.htm",a:"The list of field names that you want to use to create target nodes.  Separate multiple field names with commas. There must be no space before or after a comma. For each value that occurs in a field with this name in a document that also contains a  Source  node, HPE Knowledge Graph creates a target ...",t:"Target"},"33":{i:0.001251259382428,u:"../Content/Configuration/License/_ACI_LicenseConfigParams_Reference.htm",a:"License Configuration Parameters This section describes the license configuration parameters that specify licensing details. ",t:"License Configuration Parameters"},"34":{i:0.00834172921159278,u:"../Content/Configuration/License/_ACI_LicenseServerACIPort.htm",a:"The ACI port of License Server. This must be the Port specified in the License Server configuration file\u0027s [Server] section. This port is used to request licensing from License Server.  Type: Long Default: None Required: Yes Allowed range: Minimum: 0 Maximum: 65536 Recommended range: Minimum: 1025 ...",t:"LicenseServerACIPort"},"35":{i:0.00834172921159278,u:"../Content/Configuration/License/_ACI_LicenseServerHost.htm",a:"LicenseServerHost The IP address or host name of the machine that hosts the License Server. Type: String Default: None Required: Yes Configuration Section: License Example: LicenseServerHost=1.23.45.6 See Also: LicenseServerACIPort LicenseServerTimeout LicenseServerRetries",t:"LicenseServerHost"},"36":{i:0.00834172921159278,u:"../Content/Configuration/License/_ACI_LicenseServerRetries.htm",a:"LicenseServerRetries The number of retries when connecting to the License Server.  Type: Integer Default: 5 Required: No Configuration Section: License Example: LicenseServerRetries=1 See Also: LicenseServerACIPort LicenseServerHost LicenseServerTimeout",t:"LicenseServerRetries"},"37":{i:0.00834172921159278,u:"../Content/Configuration/License/_ACI_LicenseServerTimeout.htm",a:"The time (in milliseconds) to timeout when connecting to License Server. Type the number of milliseconds after which requests that have been sent to the License Server time out if it does not respond. Type: Long Default: 120000 Required: No Configuration Section: License Example: ...",t:"LicenseServerTimeout"},"38":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LoggingConfigParams_Reference.htm",a:"Logging Configuration Parameters This section describes the configuration parameters used to create separate log files for different log message types (such as query, index, and application) and to determine how each stream is logged.",t:"Logging Configuration Parameters"},"39":{i:0.0220224786787776,u:"../Content/Configuration/Logging/_ACI_LogArchiveDirectory.htm",a:"Path to log archive directory. Type the directory in which you want the application to archive old log files when LogOldAction is set to  Move. Type: String Default: ./archive Required: No Configuration Section: Logging or  LogStream or  TaskName                         If you set this parameter in ...",t:"LogArchiveDirectory"},"40":{i:0.00367934642928701,u:"../Content/Configuration/Logging/_ACI_LogCompressionMode.htm",a:"Specifies how old log files are compressed when the LogExpireAction parameter is set to  Compress. You can set this to either  zip or  gz. Type: String Default: zip Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging and  ...",t:"LogCompressionMode"},"41":{i:0.0308316477455814,u:"../Content/Configuration/Logging/_ACI_LogDirectory.htm",a:"LogDirectory Path to log directory. Type the directory in which you want the application to store the log files it creates. Type: String Default: ./logs Required: No Configuration Section: Logging Example: LogDirectory=./logs See Also: LogArchiveDirectory LogFile",t:"LogDirectory"},"42":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogEcho.htm",a:"Displays logging messages on the console. Enable this parameter to display logging messages on the console.  This setting has no effect if you are running the application as a Windows service. Type: Boolean Default: False Required: No Configuration Section: Logging or  LogStream                      ...",t:"LogEcho"},"43":{i:0.00856971871618514,u:"../Content/Configuration/Logging/_ACI_LogExpireAction.htm",a:"Determines how log files are handled when they exceed the maximum size. Type one of the following to determine how log files are handled when they exceed the LogMaxSizeKBs size: Option Description Compress  The log file\u0027s name is appended with a timestamp, compressed and saved in the log directory. ...",t:"LogExpireAction"},"44":{i:0.0231030829176591,u:"../Content/Configuration/Logging/_ACI_LogFile.htm",a:"Name of the log file that the application creates in the specified LogDirectory.  Type: String Default: None Required: Yes Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging and  LogStream sections, the setting in the  LogStream section ...",t:"LogFile"},"45":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogHistorySize.htm",a:"LogHistorySize The number of log messages to store in memory.  Type: String Default: 100 Required: Yes Allowed Range: \n                    Minimum: 1 Maximum: 520\n                     Configuration Section: LogStream Example: LogHistorySize=50 See Also: LogExpireAction",t:"LogHistorySize"},"46":{i:0.00508794725988258,u:"../Content/Configuration/Logging/_ACI_LogLevel.htm",a:"The type of messages that are logged. Type one of the following to determine the type of messages that are logged: Option Description Always Basic processes are logged.  This produces only minimal logging and no errors are logged. Error Errors are logged. Warning Errors and warnings are logged.  ...",t:"LogLevel"},"47":{i:0.00341363696879893,u:"../Content/Configuration/Logging/_ACI_LogLevelMatch.htm",a:"The messages reported relative to the specified LogLevel. The options are: Option Description Equal Only the message type specified by LogLevel is reported. For example, if LogLevel=warning, only warning messages are reported. LessThan The message types below the LogLevel setting are reported. For ...",t:"LogLevelMatch"},"48":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogMaxLineLength.htm",a:"The number of characters a log entry can include before it is truncated. Increase this value when you want long actions to be logged in full. Type: Long Default: 16384 Required: No Allowed Range: \n                        Minimum: 0 Maximum: 2000000000\n                     Recommended Range: \n        ...",t:"LogMaxLineLength"},"49":{i:0.00785545786887724,u:"../Content/Configuration/Logging/_ACI_LogMaxOldFiles.htm",a:"Maximum number of log files in the log directory. The maximum number of log files the specified LogDirectory can store before the application runs the specified LogOldAction. If you do not want to restrict how many log files the LogDirectory can store, type  -1.  Type: Long Default: -1 (unlimited) ...",t:"LogMaxOldFiles"},"50":{i:0.00367934642928701,u:"../Content/Configuration/Logging/_ACI_LogMaxSizeKBs.htm",a:"Maximum log file size (in kilobytes). If you do not want to restrict the log file size, type  -1.  The LogExpireAction parameter determines how a log file is handled after it has reached its maximum size.  The LogMaxSizeKBs parameter is used for standard logging streams. Type: Long Default: 1024 ...",t:"LogMaxSizeKBs"},"51":{i:0.0233089355265177,u:"../Content/Configuration/Logging/_ACI_LogOldAction.htm",a:"Determines how log files are handled when the maximum number of log files is exceeded. Type one of the following to determine how log files are handled when the LogDirectory has reached the maximum number of log files, as determined by the LogMaxOldFiles parameter: Option Description Delete The log ...",t:"LogOldAction"},"52":{i:0.00275024176165554,u:"../Content/Configuration/Logging/_ACI_LogOutputLogLevel.htm",a:"Determines whether the log level is reported in the log. By default, the log entry includes the log level of a message.  Type: Boolean Default: True  Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging and  LogStream sections, ...",t:"LogOutputLogLevel"},"53":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogOutputSeverity.htm",a:"Assigns each log message a severity rating from 0–99. 0 is the least serious, 99 is the most serious. By default, log messages include severity ratings. Type: Boolean Default: True Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the ...",t:"LogOutputSeverity"},"54":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogSysLog.htm",a:"Writes messages to the Microsoft Windows or Linux system log. Enable this parameter to write messages to the Linux Syslog or the Windows Event Log.  Type: Boolean Default: False Required: No Configuration Section: Logging or  LogStream                         If you set this parameter in the Logging ...",t:"LogSysLog"},"55":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogTime.htm",a:"Displays time with each log entry. Enable this parameter to display the current time next to each log entry in the log file.  Type: Boolean Default: True Required: No Configuration Section: Logging or  LogStream                        If you set this parameter in the Logging and  LogStream sections, ...",t:"LogTime"},"56":{i:0.001251259382428,u:"../Content/Configuration/Logging/_ACI_LogTypeCSVs.htm",a:"List of message types to log. Type one or more of the following message types to specify the type of messages written to the associated log file. If you want to type multiple message types, separate them with commas (there must be no space before or after a comma): Option Description All Components ...",t:"LogTypeCSVs"},"57":{i:0.001251259382428,u:"../Content/Configuration/Persistence/Config_Persistence.htm",a:"Persistence Configuration Parameters The [Persistence] configuration section defines how to store the graph data for your graph. [Persistence]\nFilename=graphdata.bin\n",t:"Persistence Configuration Parameters"},"58":{i:0.001251259382428,u:"../Content/Configuration/Persistence/Filename.htm",a:"The filename and path of the file to use to store the graph data. You must include the file extension. HPE Knowledge Graph saves graph data to this file when it indexes documents, and when it runs the  Persist  action.  When HPE Knowledge Graph starts up, it also loads graph data from this file, if ...",t:"Filename"},"59":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_Server_Params.htm",a:"Server Configuration Parameters This section describes server configuration parameters.",t:"Server Configuration Parameters"},"60":{i:0.0060207524689071,u:"../Content/Configuration/Server/_ACI_AdminClients.htm",a:"The AdminClients parameter specifies the IP addresses (or host names) of clients that are permitted to send administrative commands to the ACI Port. Separate multiple addresses with commas. There must be no space before or after the comma. You can use wildcards in the IP address. For example, ...",t:"AdminClients"},"61":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_ExplicitHost.htm",a:"The IP address that the server should use on the host machine. If you install the server on a machine with more than one network interface, you can use this parameter to specify the IP address to use. If the machine only has one network interface, you do not need to set this parameter. Type: String ...",t:"ExplicitHost"},"62":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_LogRequestTiming.htm",a:"Set LogRequestTiming to  True to record the duration times of actions in the logs. This parameter adds timing information to items in all log files that describe actions that have been sent to HPE Knowledge Graph. Type: Boolean Default: False Required: No Configuration Section: Server Example: ...",t:"LogRequestTiming"},"63":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_MaxFileUploadSize.htm",a:"The MaxFileUploadSize parameter specifies the maximum amount of data (in bytes) accepted by the server through an HTTP POST request. This parameter therefore limits the amount of data that can be sent to the server in an ACI action. To specify an unlimited size, set this parameter to  -1. HP ...",t:"MaxFileUploadSize"},"64":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_MaxInputString.htm",a:"The MaxInputString parameter specifies the maximum number of characters that can be sent to the server in an HTTP request string. To specify an unlimited number, set this parameter to  -1. Type: Long Default: 64000 Required: No Configuration Section: Server Example: MaxInputString=-1 See Also:  ",t:"MaxInputString"},"65":{i:0.00391021708193151,u:"../Content/Configuration/Server/_ACI_Port.htm",a:"The Port parameter specifies the port that is used to send ACI actions to the ACI server. Type: Long Default:   Required: No Allowed Range: \n                        Minimum: 1 Maximum: 65535\n                     Configuration Section: Server Example: Port=7008 See Also: AdminClients ProxyClients ...",t:"Port"},"66":{i:0.00235915422353913,u:"../Content/Configuration/Server/_ACI_ProxyClients.htm",a:"The ProxyClients parameter specifies the IP addresses or host names for proxy clients that are permitted to send actions to the ACI server. Separate multiple addresses with a comma. There must be no space before or after a comma. When an action is received, if the client address does not appear in ...",t:"ProxyClients"},"67":{i:0.00542219812944101,u:"../Content/Configuration/Server/_ACI_QueryClients.htm",a:"The QueryClients parameter specifies the IP addresses (or host names) of clients that are permitted to send queries to the ACI port. Separate multiple addresses with commas. There must be no space before or after the comma. You can use wildcards in the IP address. For example, 187.*.*.* includes any ...",t:"QueryClients"},"68":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_ReturnRequest.htm",a:"ReturnRequest Return your request as part of the response. Set this parameter to  True if you want your action response to include a tag containing the original request. Type: Boolean Default: False Required: No Configuration Section: Server Example: ReturnRequest=True See Also:  ",t:"ReturnRequest"},"69":{i:0.001251259382428,u:"../Content/Configuration/Server/_ACI_Threads.htm",a:"The maximum number of synchronous actions that the server can process simultaneously. You can calculate the optimum number of threads as follows: Number of logical CPUs + 1 spare thread. Type: Long Default: 10 Allowed Range: Minimum: 1 Maximum: 32 Recommended Range: Minimum: 4 Maximum: 32 Required: ...",t:"Threads"},"70":{i:0.00834172921159278,u:"../Content/Configuration/Server/_ACI_XSLTemplates.htm",a:"The XSLTemplates parameter specifies whether to enable the transformation of action responses using XSL templates. To transform the response to an action, set this configuration parameter to True, and specify the name of the template in the action. For example: ...",t:"XSLTemplates"},"71":{i:0.001251259382428,u:"../Content/Configuration/SSL/_ACI_SSLConfigParams_Reference.htm",a:"Secure Socket Layer Parameters This section describes the configuration parameters used to configure  Secure Socket Layer (SSL) connections between components. These parameters usually appear in the [SSLOptions] section of the configuration file.",t:"Secure Socket Layer Parameters"},"72":{i:0.0046600807650943,u:"../Content/Configuration/SSL/_ACI_SSLCACertificate.htm",a:"Certificate Authority (CA) certificate file of a trusted authority. The component only trusts communication with a peer that provides a certificate signed by the specified CAs.  Type: String Default: None Required: No Configuration Section: SSLOptionN Example: SSLCACertificate=trusted.crt See Also: ...",t:"SSLCACertificate"},"73":{i:0.001251259382428,u:"../Content/Configuration/SSL/_ACI_SSLCACertificatesPath.htm",a:"Use this parameter to specify the path to a directory containing multiple CA certificates in PEM format to check against. Each file must contain one CA certificate. The files are looked up by the CA subject name hash value, which must be available. If more than one CA certificate with the same name ...",t:"SSLCACertificatesPath"},"74":{i:0.00787763368324888,u:"../Content/Configuration/SSL/_ACI_SSLCertificate.htm",a:"SSL Certificate file to use to identify this component to a peer. It can be either ASN1 or PEM format. This parameter requires a matching SSLPrivateKey value. You can specify the file name with an absolute or relative path to the location of the certificate file. Type: String Default: None Required: ...",t:"SSLCertificate"},"75":{i:0.0046600807650943,u:"../Content/Configuration/SSL/_ACI_SSLCheckCertificate.htm",a:"Specifies whether a certificate signed by a trusted authority is requested from peers. Setting SSLCACertificate implicitly sets SSLCheckCertificate to  True. If SSLCheckCertificate is set to  False, communications are encrypted, but certificates are not requested from peers. Type: Boolean Default: ...",t:"SSLCheckCertificate"},"76":{i:0.0046600807650943,u:"../Content/Configuration/SSL/_ACI_SSLCheckCommonName.htm",a:"Verifies the identity of the peer. Specifies whether the host name listed in the peer\u0027s certificate (that is, the CommonName or \"CN\" attribute) resolves to the same IP address as the peer itself, as determined by the network connection.  For example, if the host name in a certificate is ...",t:"SSLCheckCommonName"},});